.NET in Windows 8

Windows 8 does have .NET version 4.5 included in the default installation and you do not need to download .NET version 4 on a Windows 8 Computer. However the story of .NET on Windows 8 is not quite simple and yes there are twists to the story of .NET in Windows 8. This post provides required information and help in case you are struggling with .NET issue on Windows 8. Appropriate screenshots have been provided which have been captured on Windows 8 computer to visually assist you in getting your .NET application up and running.

Configure Windows 8 Features

Configure Windows 8 Features

The above screenshot displays the Windows Features screenshot launched from the Windows 8 Control Panel’s Programs and Features option as displayed in the screenshot below. Note that default Windows 8 installation does contains .NET Framework 4.5 Advanced Services installed, however .NET Framework 3.5 (which includes .NET 2.0 and .NET 3.0) are not installed.

Turn Windows 8 Features On or Off

Turn Windows 8 Features On or Off

In order to view the option to view the .NET version installed on your Windows 8 computer, open up Control Panel and navigate to Programs and Features option. Now in order to check the .NET version, click on the Turn Windows features on or off link as displayed in the screenshot above. You would need admin access in order to change any of the Windows 8 features.

.NET 3.5 on Windows 8

.NET 3.5 on Windows 8

Prior to Windows 8 like Windows 7, Windows Vista or even on Windows XP, most of the 3rd party applications used .NET Framework 1.1, 2.0 or even .NET Framework 3.5 which was required to be downloaded from Microsoft Website or accompanied with 3rd party software application setup. Now with Windows 8 you do not need to download .NET Framework 4.x series as it is already included in the operating system.

An Application compiled with .NET Framework 2.0 or .NET 3.5 can still be used on Windows 8, however you would need to install it on Windows 8. Yes even if you do have .NET 4.5 installed on your Windows 8 computer, you would still need to download .NET 3.5 in order to use an application built with .NET 2.0 or .NET Framework 3.5. Applications compiled with .NET Framework 1.1 do not work on Windows 8. In case you want to run a >NET 1.1 Application on Windows 8, do contact the software developer and get the application compiled with .NET 2.0, .NET 3.5 or even with .NET 4.5.

Updated On